cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Whether you are transferring a single drive, a team or an entire organization, Movebot's cloud migration tool has been built to make your Dropbox migration simple - learn all about it here.

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Can't install app because the folder is internet-shared?

Can't install app because the folder is internet-shared?

Hsin-Yu
New member | Level 2

Dear all,

 

Greetings from Taiwan! I recently noticed that I couldn't launch my dropbox app; ergo, I uninstall the old one and subsequently downloaded a new one. 

 

However, when I launch the installed file, use the password to enable it, suddenly, a warning message shows up. I'm not sure how to describe it because the message is written in Mandarin, but I roughly translate it as follow:  "We can't enable the app because your folder is shared by internet drive." 

 

I honestly have no idea what the hell it is. I've confirmed that the folder I suppose to use is in my macintosh HD, unlike iCloud that is connected to the internet.   

 

If this would be helpful to you, I attach the .txt regarding the warning message.

 

Please help me get through this, thank you all in advance!

 

Warmly,

Hsin-Yu

 

------

bn.BUILD_KEY: Dropbox
bn.VERSION: 118.4.460
bn.constants.WINDOWS_SHELL_EXT_VERSION: 47
bn.is_frozen: True
machine_id: 311b3579-ffc7-5179-baaa-7197e4a2d77e
pid: 23321
ppid: 1
uid: 502
user_info: pwd.struct_passwd(pw_name='Hsin-Yu', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='Hsin-Yu', pw_dir='/Users/Hsin-Yu', pw_shell='/bin/zsh')
effective_user_info: pwd.struct_passwd(pw_name='Hsin-Yu', pw_passwd='********', pw_uid=502, pw_gid=20, pw_gecos='Hsin-Yu', pw_dir='/Users/Hsin-Yu', pw_shell='/bin/zsh')
euid: 502
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=0
     parent mode=0o40755 uid=0 gid=0
HOME: '/Users/Hsin-Yu'
appdata: '/Users/hsinyu/.dropbox/instance1'
         real_path='/Users/hsinyu/.dropbox/instance1'
                not found
         parent not found
dropbox_path: '/Users/hsinyu/Dropbox'
              real_path='/Users/hsinyu/Dropbox'
                    not found
              parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=502 gid=20
                parent mode=0o40755 uid=502 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/z6/q3n16g2n075bt3vskd_y68_h0000gp/T'
         real_path='/private/var/folders/z6/q3n16g2n075bt3vskd_y68_h0000gp/T'
                mode=0o40700 uid=502 gid=20
         parent mode=0o40755 uid=502 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 1246, in safe_makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/hsinyu'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7698, in main_startup
  File "dropbox/client/main.pyc", line 2898, in initialize
  File "dropbox/client/main.pyc", line 1673, in startup_low
  File "dropbox/client/main.pyc", line 1273, in safe_makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 213, in makedirs
  File "os.pyc", line 223, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/hsinyu'

 

2 Replies 2

Re: Can't install app because the folder is internet-shared?

Walter
Dropboxer
Hey there @Hsin-Yu; welcome to our Community!

Can you please perform an advanced reinstall and let me know how it goes? 

Thanks so much!

Walter
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
:arrows_counterclockwise: Still stuck? Ask me a question!
:pushpin: Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Re: Can't install app because the folder is internet-shared?

Hsin-Yu
New member | Level 2

Dear Walter,

 

Thank you for being so empathic!

 

However, I somehow solved my problem on my own before you replied to me-- I even don't know what I have done actually!  

As the re-install website mentioned, I just restarted my MacBook and tried to click the app again. Without a doubt, I failed again-- the same message popped out. Then, I gazed at the warning message and can't help thinking: what if I delete the folder it mentioned and create a brand new folder with the original name? (The original folder it refers to is .dropbox,  which is concealed in the system, and I just delete it and rebuilt a folder named dropbox) 

 

Needless to say, I really conducted what I thought, and surprisingly, it worked! This is all I know, and I still have no idea about the pattern or theory within my operation.

 

All in all, I hope this would be helpful for you...

 

Warm regards,

Hsin-Yu

 

 

  

 

Who's talking

Top contributors to this post

  • User avatar
    Hsin-Yu New member | Level 2
  • User avatar
    Walter Dropboxer
What do Dropbox user levels mean?
Need more support?